#include <stdlib.h>
#include "debug.h"
#include "anim.h"
#include "io.h"

/*
** Interpolation lineaire entre deux courbes
*********************************************
*/

void interpole (const char* name, array_t* one, array_t* two, int step)
{
  int pos;
  int dim;
  int i;
  array_t* result;

  debugIf(getArraySize(one)!=getArraySize(two),"The array size must be the same");

  result  = createDupArray(one);

  for(pos=0;pos<=step;pos++)
	{
	  for(i=0; i< getArraySize(result); i++)
		{		  
		  for(dim=0; dim<MAX_DIMENSION; dim++)
			{
			  setDotData
				(
				 getArrayDot(result,i),
				 dim,
				 (
				  ((step-pos) * getDotData(getArrayDot(one,i),dim))+
				  (pos        * getDotData(getArrayDot(two,i),dim))
				  )/step
				 );
			}
		}

	  writePs(name,result);
	}
  deleteArray(result);
}

/*
** translation suivant une courbe de bezier
*********************************************
*/

void translate (const char* name, array_t* one, array_t* two)
{
  int pos;
  int dim;
  int i;
  array_t* result;

  result  = createDupArray(one);

  for(pos=0; pos<getArraySize(two); pos++)
	{
	  for(i=0; i< getArraySize(result); i++)
		{
		  for(dim=0; dim<MAX_DIMENSION; dim++)
			{
			  setDotData
				(
				 getArrayDot(result,i),
				 dim,
				 (
				  getDotData(getArrayDot(one,i),  dim)+
				  getDotData(getArrayDot(two,pos),dim)
				 ));
			}
		}

	  writePs(name,result);
	}
  deleteArray(result);
}
