#ifndef ARRAY_INCLUDE
#define ARRAY_INCLUDE

#include "dot.h"


/*
** Definitions des structures
*******************************
*/

typedef struct
{
  dot_t* dot;
  int    nber;
} array_t;


/*
** Gestion des liste de points
*******************************
*/

array_t* createEmptyArray  (int size);
array_t* createArray       (int size,dot_t* dot);
array_t* createDupArray    (array_t* array);

array_t* deleteArray  (array_t* array);

array_t* copyArray    (array_t* dst, array_t* src, int pos, int number);

dot_t* getArrayDot (array_t* array, int pos);
dot_t* setArrayDot (array_t* array, int pos, dot_t* dot);

int    getArraySize (array_t* array);
double calcArrayMax (array_t* array);


/*
** Usefull macros
*********************
*/

#define getArrayFirstDot(array) getArrayDot(array,0)
#define getArrayLastDot(array)  getArrayDot(array,getArraySize(array)-1)

/*
** Debug printing
**********************
*/

void printArray (array_t* array);

#endif
