#ifndef ESPACE_INCLUDE
#define ESPACE_INCLUDE

#include "array.h"

/*
** Definitions des structures
*******************************
*/

typedef struct
{
  dot_t*  dot;
  int     size_line;
  int     nb_column;
} espace_t;


/*
** Gestion des liste de points
*******************************
*/

espace_t* createEspace    (int size_line, int nb_column);
espace_t* createSubEspace (espace_t* espace, int x, int y, int size_x, int size_y);

array_t* createEspaceArrayFromLine   (espace_t* espace, int column);
array_t* createEspaceArrayFromColumn (espace_t* espace, int line);

espace_t* deleteEspace    (espace_t* espace);

dot_t* getEspaceDot (espace_t* espace, int x, int y);
dot_t* setEspaceDot (espace_t* espace, int x, int y, dot_t* dot);

espace_t* copyLineToEspace   (int column, espace_t* espace, array_t* array);
espace_t* copyColumnToEspace (int line,   espace_t* espace, array_t* array);

int getEspaceLine   (espace_t* espace);
int getEspaceColumn (espace_t* espace);

void printEspace (espace_t* espace);

#endif
