#ifndef INCLUDE_IMAGE
#define INCLUDE_IMAGE

/*
** Type definition
*******************
*/

typedef char* pixel_t;

typedef struct
{
  int   size_x;
  int   size_y;
  char* data;
} image_t;

/*
** Get/Set the picture size
*****************************
*/

int getImageSizeX (image_t* image);
int getImageSizeY (image_t* image);


image_t* setImageSizeX (image_t* image, int x);
image_t* setImageSizeY (image_t* image, int y);


/*
** Get/Set a picture pixel (get return a reference on the data buffer)
***********************************************************************
*/

pixel_t  getImagePixel (image_t* image ,int x, int y);
image_t* setImagePixel (image_t* image ,int x, int y, pixel_t pixel);


/*
** create a black image
****************************
*/

image_t* createImage (int size_x, int size_y);

/*
** Free resources allocate by an image
***************************************
*/

void deleteImage (image_t* image);

/*
** Print image information
****************************
*/

image_t* printImage(image_t* image);

#endif
