#include <stdio.h>
#include "deform.h"

int main (void)
{
  int i;
  espace_t* espace;
  box_t     box;
  array_t*  array[4];

  dot_t dot0[4]={{0.00,1.00},{0.33,1.00},{0.66,1.00},{1.00,1.00}};
  dot_t dot1[4]={{0.00,0.66},{0.33,0.66},{0.66,0.66},{1.00,0.66}};
  dot_t dot2[4]={{0.00,0.33},{0.33,0.33},{0.66,0.33},{1.00,0.33}};
  dot_t dot3[4]={{0.00,0.00},{0.33,0.00},{0.66,0.00},{1.00,0.00}};

  box.pos.x = 0;
  box.pos.y = 0;
  box.size.x = 1;
  box.size.y = 1;

  setDimension(2);

  array[0] = makeArray(4,dot0);
  array[1] = makeArray(4,dot1);
  array[2] = makeArray(4,dot2);
  array[3] = makeArray(4,dot3);

  espace = createEspace(4,4);

  for(i=0; i<4 ; i++)
	copyLineToEspace(i,espace,array[i]);

  printf("\n===============\n"
		 "== Espace\n"
		 "=====================\n");
  printEspace(espace);

  deform(NULL,NULL,espace,box);

  return 1;
}
