#include <stdio.h>
#include "bezier.h"
#include "array.h"

#include "anim.h"

int main (void)
{
  dot_t dot1[4]={{0,0},{0,1},{1,1},{1,0}};
  dot_t dot2[4]={{0,1},{1,1},{0,0},{1,0}};

  array_t* array1;
  array_t* array2;

  array_t* print1;
  array_t* print2;

  setDimension(2);

  array1 = createArray(4,dot1);
  array2 = createArray(4,dot2);

  printf("\n");
  printf("- Attention - Attention -\n");
  printf("All the created files are animation\n");
  printf("\n");
  
  printf("curve one     "); fflush(stdout); print1 = optimalDeCasteljau(array1, 0.05,"Bezier1.ps");   printf("ok.\n");
  printf("curve two     "); fflush(stdout); print2 = optimalDeCasteljau(array2, 0.05,"Bezier2.ps");   printf("ok.\n");
  printf("interpolation "); fflush(stdout); interpole ("Bezier3.ps",print1,print2, 20);               printf("ok.\n");
  printf("translation   "); fflush(stdout); translate ("Bezier4.ps",print1,print2);                   printf("ok.\n");

  printf("\n");

  deleteArray(print1);
  deleteArray(print2);

  deleteArray(array1);
  deleteArray(array2);

  return 1;
}
